--- old/usr/src/cmd/boot/scripts/update_grub.ksh	2013-05-27 09:45:05.195283472 +0000
+++ new/usr/src/cmd/boot/scripts/update_grub.ksh	2013-05-27 09:45:05.209938516 +0000
@@ -46,7 +46,7 @@
 check_pcfs_boot()
 {
 	bootdev=`grep -v "^#" "$ALT_ROOT"/etc/vfstab | grep pcfs \
-	    | grep "[       ]/stubboot[      ]" | nawk '{print $1}'`
+	    | grep "[       ]/stubboot[      ]" | /usr/xpg4/bin/awk '{print $1}'`
 	if [ X"$bootdev" = "X" ]; then
 		is_pcfs_boot=no
 	fi
@@ -91,13 +91,13 @@
 		    sed -n -e '/--/q' -e p | awk '{print $1}'`
 	else
 		metadev=`grep -v "^#" "$ALT_ROOT"/etc/vfstab | \
-		    grep "[	 ]/[ 	]" | nawk '{print $2}'`
+		    grep "[	 ]/[ 	]" | /usr/xpg4/bin/awk '{print $2}'`
 		if [[ $metadev = /dev/rdsk/* ]]; then
 			rootdevlist=`basename "$metadev"`
 		elif [[ $metadev = /dev/md/rdsk/* ]]; then
 			metavol=`basename "$metadev"`
 			rootdevlist=`metastat -p $metavol |\
-			    grep -v "^$metavol[	 ]" | nawk '{print $4}'`
+			    grep -v "^$metavol[	 ]" | /usr/xpg4/bin/awk '{print $4}'`
 		fi
 	fi
 	for rootdev in $rootdevlist
@@ -122,7 +122,7 @@
 		mkdir -p "$ALT_ROOT"/stubboot/boot/grub
 		cp "$ALT_ROOT"/boot/grub/menu.lst "$ALT_ROOT"/stubboot/boot/grub
 		bootdev=`grep -v "^#" "$ALT_ROOT"/etc/vfstab | grep pcfs | \
-			grep "[	 ]/stubboot[ 	]" | nawk '{print $1}'`
+			grep "[	 ]/stubboot[ 	]" | /usr/xpg4/bin/awk '{print $1}'`
 		rpcfsdev=`echo "$bootdev" | sed -e "s/dev\/dsk/dev\/rdsk/"`
 		if [ X"$rpcfsdev" != X ]; then
 			print "Installing grub on $rpcfsdev"
